Manage the Symitar Combined Authentication and Authorization Service (ECAAS).
Operations
authenticateMember
POST
Authenticates a member.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/ecaa/authenticateMemberPOST /nexum/627/2022.01/ecaa/authenticateMember HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"UserName": "TEST13824",
"Password": "Password123!",
"SecondaryVerification": {}
},
"nxAttributes": {
"customFields": {}
}
}authenticateService
POST
Authenticates a service.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/ecaa/authenticateServicePOST /nexum/627/2022.01/ecaa/authenticateService HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"nxAttributes": {
"customFields": {}
}
}changeMemberHBPassword
POST
Changes member's Home Banking password.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
NewPasswordstringrequiredLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/ecaa/changeMemberHBPasswordPOST /nexum/627/2022.01/ecaa/changeMemberHBPassword HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"UserName": "TEST13824",
"Password": "Password123!",
"SecondaryVerification": {}
},
"NewPassword": "string",
"nxAttributes": {
"customFields": {}
}
}convertToJWT
POST
Converts to JSON Web Token (JWT).
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
SAMLAssertionstringrequiredLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/ecaa/convertToJWTPOST /nexum/627/2022.01/ecaa/convertToJWT HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"SAMLAssertion": "string",
"nxAttributes": {
"customFields": {}
}
}convertToSAML
POST
Converts to Security Assertion Markup Language (SAML).
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
JwtTokenstringrequiredLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/ecaa/convertToSAMLPOST /nexum/627/2022.01/ecaa/convertToSAML HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"JwtToken": "string",
"nxAttributes": {
"customFields": {}
}
}